<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="angb_angebot_journal_realisierung" pageWidth="782" pageHeight="842" whenNoDataType="AllSectionsNoDetail" columnWidth="782" leftMargin="0" rightMargin="0" topMargin="0" bottomMargin="0" uuid="5a51cb4e-f1b1-4e89-909c-8b00e7f90a6b">
	<property name="ireport.scriptlethandling" value="0"/>
	<property name="ireport.encoding" value="UTF-8"/>
	<property name="ireport.zoom" value="1.5"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<import value="net.sf.jasperreports.engine.*"/>
	<import value="java.util.*"/>
	<import value="net.sf.jasperreports.engine.data.*"/>
	<field name="Sort" class="java.lang.String"/>
	<field name="F_REALISIERUNGSTERMIN" class="java.lang.String"/>
	<field name="F_WERT" class="java.math.BigDecimal"/>
	<field name="MglAbWert" class="java.math.BigDecimal"/>
	<variable name="Wert" class="java.math.BigDecimal" resetType="Group" resetGroup="Monat" calculation="Sum">
		<variableExpression><![CDATA[$F{F_WERT}]]></variableExpression>
	</variable>
	<variable name="mglWert" class="java.math.BigDecimal" resetType="Group" resetGroup="Monat" calculation="Sum">
		<variableExpression><![CDATA[$F{MglAbWert}]]></variableExpression>
	</variable>
	<variable name="Wert_gesamt" class="java.math.BigDecimal" calculation="Sum">
		<variableExpression><![CDATA[$F{F_WERT}]]></variableExpression>
	</variable>
	<variable name="mglWert_gesamt" class="java.math.BigDecimal" calculation="Sum">
		<variableExpression><![CDATA[$F{MglAbWert}]]></variableExpression>
	</variable>
	<group name="Monat">
		<groupExpression><![CDATA[$F{Sort}.substring(0,8)]]></groupExpression>
		<groupFooter>
			<band height="12">
				<textField>
					<reportElement x="0" y="0" width="160" height="12" uuid="f23b0faa-47e7-42b7-a892-240c940b12f1"/>
					<textElement>
						<font fontName="Arial"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{Sort}.startsWith("nicht") ? $F{Sort} :
$F{Sort}.substring(0,8)]]></textFieldExpression>
				</textField>
				<textField pattern="#,##0.00" isBlankWhenNull="false">
					<reportElement mode="Transparent" x="160" y="0" width="80" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="097e1b56-50dd-45f3-8123-61070f64397a"/>
					<textElement textAlignment="Right" verticalAlignment="Top" rotation="None" markup="none">
						<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
						<paragraph lineSpacing="Single"/>
					</textElement>
					<textFieldExpression><![CDATA[$V{Wert}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="true" pattern="#,##0.00">
					<reportElement x="240" y="0" width="80" height="12" uuid="0c28c7f5-9396-4ded-866b-c6342dfbd90c"/>
					<textElement textAlignment="Right">
						<font fontName="Arial"/>
					</textElement>
					<textFieldExpression><![CDATA[$V{mglWert}]]></textFieldExpression>
				</textField>
			</band>
		</groupFooter>
	</group>
	<pageHeader>
		<band height="50" splitType="Stretch">
			<staticText>
				<reportElement x="0" y="0" width="100" height="20" uuid="ec77d8dd-c7dc-4713-b054-5d0363677888"/>
				<textElement>
					<font fontName="Arial" isBold="true"/>
				</textElement>
				<text><![CDATA[Zusammenfassung]]></text>
			</staticText>
			<staticText>
				<reportElement x="0" y="25" width="160" height="24" uuid="934c311d-9f8e-4ef7-8f78-e1466450e488"/>
				<textElement markup="none">
					<font fontName="Arial"/>
				</textElement>
				<text><![CDATA[Monat
Realisierung]]></text>
			</staticText>
			<staticText>
				<reportElement x="160" y="37" width="80" height="12" uuid="de1d0a16-4284-459b-b9c8-964437e2fd9a"/>
				<textElement textAlignment="Right" markup="none">
					<font fontName="Arial"/>
				</textElement>
				<text><![CDATA[Wert]]></text>
			</staticText>
			<staticText>
				<reportElement x="240" y="37" width="80" height="12" uuid="e871c08f-6486-46b5-b57b-d3ff56454ab8"/>
				<textElement textAlignment="Right" markup="none">
					<font fontName="Arial"/>
				</textElement>
				<text><![CDATA[möglicher Wert]]></text>
			</staticText>
			<line>
				<reportElement x="0" y="49" width="320" height="1" uuid="116c72ee-443a-4231-8632-c2d2ee8d9fac"/>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</line>
		</band>
	</pageHeader>
	<detail>
		<band height="12" splitType="Stretch">
			<printWhenExpression><![CDATA[false]]></printWhenExpression>
			<textField>
				<reportElement x="0" y="0" width="80" height="12" uuid="fbe66015-9f9d-471a-be41-c6e5ab004943"/>
				<textElement>
					<font fontName="Arial"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Sort}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="80" y="0" width="80" height="12" uuid="c54df5d9-df78-432c-b68c-4a0daaaf42b1"/>
				<textElement>
					<font fontName="Arial"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{F_REALISIERUNGSTERMIN}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00" isBlankWhenNull="false">
				<reportElement mode="Transparent" x="160" y="0" width="80" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="0c3712ff-5118-405c-abe4-745fc7e60010"/>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None" markup="none">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{F_WERT}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="#,##0.00">
				<reportElement x="240" y="0" width="80" height="12" uuid="850db972-94c9-451b-9b7e-d7a2eb88ff8f"/>
				<textElement textAlignment="Right">
					<font fontName="Arial"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{MglAbWert}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<summary>
		<band height="13">
			<line>
				<reportElement x="0" y="0" width="320" height="1" uuid="93527a4f-c709-4783-b7bd-d9398d40962e"/>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</line>
			<textField pattern="#,##0.00" isBlankWhenNull="false">
				<reportElement mode="Transparent" x="160" y="1" width="80" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="7602060c-dfd5-45c6-abbc-9537afbf9b48"/>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None" markup="none">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{Wert_gesamt}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="#,##0.00">
				<reportElement x="240" y="1" width="80" height="12" uuid="a7a6aab8-117f-4182-bfc9-a04ec0b78644"/>
				<textElement textAlignment="Right">
					<font fontName="Arial"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{mglWert_gesamt}]]></textFieldExpression>
			</textField>
		</band>
	</summary>
</jasperReport>
